<?xml version="1.0" encoding="utf-8"?>
<!-- edited with XMLSpy v2014 (x64) (http://www.altova.com) by Group IT (PostNL Groep) -->
<!--org/2001/XMLSchema-->
<!--
Major/Minor versie:     0.9
datum productie         14 juli 2021
aanpassing door     	NM + Mathijs Hoeijmakers
doelgroep                   PostNL - LSP

    
   -->
<xsd:schema xmlns:me1="urn:postnl/mail/meta/1" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:postnl/mail/notifyexecutionplan/2" xmlns:exp2="urn:postnl/mail/executionplan/2" targetNamespace="urn:postnl/mail/notifyexecutionplan/2" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../Common/OAGI/Components/Meta1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/executionplan/2" schemaLocation="../Nouns/NounsImplementatie/ExecutionPlan2.xsd"/>
	<xsd:element name="NotifyExecutionPlan" type="NotifyExecutionPlanType">
		<xsd:annotation>
			<xsd:documentation>The message, BOD, NotifyExecutionPlan aims to notify the progress of the execution of the ExecutionPlan.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="NotifyExecutionPlanType">
		<xsd:complexContent>
			<xsd:extension base="me1:BusinessDocumentMessageHeaderType">
				<xsd:sequence>
					<xsd:element name="DataArea" type="DataAreaType">
						<xsd:annotation>
							<xsd:documentation>Is where the information that the BOD message carries is provided, in this case notify ExecutionPlan. The information consists of a Verb and one or more Nouns. The verb (Notify) indicates the action to be performed on the Noun (ExecutionPlan).</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="DataAreaType">
		<xsd:sequence>
			<xsd:element ref="me1:Notify" minOccurs="1"/>
			<xsd:element ref="exp2:ExecutionPlan" maxOccurs="unbounded"/>
			<xsd:element name="DeltaExecutionPlan" type="exp2:ExecutionPlanType" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
